# Class: WpItems — Documentation by YARD 0.8.6.1

Class List Method List File List

# Class: WpItems

Inherits:
  Array
  - Object
  - Array
  - WpItems
  show all
Extended by:
  Detectable
Includes:
  Output
Defined in:
  lib/common/collections/wp_items.rb,
  lib/common/collections/wp_items/output.rb,
  lib/common/collections/wp_items/detectable.rb

## Direct Known Subclasses

WpPlugins, WpThemes, WpTimthumbs, WpUsers

## Defined Under Namespace

Modules: Detectable, Output

## Instance Attribute Summary

### Attributes included from Detectable

#item_xpath, #vulns_file

## Method Summary

### Methods included from Detectable

aggressive_detection, create_item, item_class, passive_detection, progress_bar, request_params, targets_items, targets_items_from_file, vulnerable_targets_items

### Methods included from Output

#output

### Methods inherited from Array

#_grep_